This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276607 - dovecot: Buffer overflow when handling pop3_deleted_flag setting
dovecot: Buffer overflow when handling pop3_deleted_flag setting
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151002,repor...
: Security
Depends On: 1276608
Blocks: 1276610
  Show dependency treegraph
 
Reported: 2015-10-30 05:50 EDT by Adam Mariš
Modified: 2016-04-21 05:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: dovecot 2.2.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 05:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-30 05:50:44 EDT
An exploitable buffer overflow vulnerability was fixed in dovecot 2.2.19 when handling pop3_deleted_flag setting. The vulnerability has been present since 2.2.10 version.

Upstream patch:

http://hg.dovecot.org/dovecot-2.2/rev/05e0700daea3
Comment 1 Adam Mariš 2015-10-30 05:51:08 EDT
Created dovecot tracking bugs for this issue:

Affects: fedora-all [bug 1276608]
Comment 2 Fedora Update System 2015-11-14 19:24:01 EST
dovecot-2.2.19-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-11-14 21:20:12 EST
dovecot-2.2.19-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-11-14 21:48:39 EST
dovecot-2.2.19-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Stefan Cornelius 2016-04-21 05:04:41 EDT
Statement:

This issue did not affect the versions of dovecot as shipped with Red Hat Enterprise Linux 5 and 6.

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.